Subject: Re: bug#18739: 24.3; Request for a hook to be provided when scrolling will move the cursor

From: Josh <[email-masked]>
Date: Wed, 15 Oct 2014 14:01:34 -0700

> If you jump back, you will actually undo the scroll, so I'm not sure
> what kind of situation are you talking about, or why do you use the
> scrolling commands to begin with.  Please elaborate.

I am writing code and I realize that I forgot the name of the variable
that I defined 30 lines ago, I use the mouse to do a quick scroll up,
read the name, and scroll back down where I came from.  The problem is
that now the cursor location has changed, and I have to spend time
trying to figure out which line I was typing on and moving my cursor
back to that position.  It would be nice if I could have the cursor
stay where I left it for the brief period that I peek elsewhere in the
buffer.

> What's wrong with window-scroll-functions?

I was looking for a hook, and did not see a relevant one. I was not
aware that window-scroll-functions existed, but it looks like it could
be a viable solution.  Thank you.